com.h3c.of.lib.msg

## Class TableFeaturePropAction

- java.lang.Object
- - com.h3c.of.lib.msg.TableFeatureProp
  - - com.h3c.of.lib.msg.TableFeaturePropAction

-     public class TableFeaturePropAction
      extends TableFeatureProp

  Represents an "actions" table feature property. This implementation provides the data as a set of supported action types for the standard actions and, if any are defined, a list of `experimenter actions`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<ActionType>` | `getSupportedActions()` Returns the set of action types supported by the table feature; Since 1.3.
    `List<ActExperimenter>` | `getSupportedExperActions()` Returns the list of experimenter actions supported by this table feature; Since 1.3.
    `int` | `getTotalLength()` Returns the length in bytes of the property when encoded.
    `String` | `toString()`

    - ### Methods inherited from class com.h3c.of.lib.msg.TableFeatureProp

      `getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `TableFeatureProp`

    - #### getTotalLength

          public int getTotalLength()

      Description copied from class: `TableFeatureProp`
      Returns the length in bytes of the property when encoded.

      This is really of interest only to the message encoder.

      Specified by:
        `getTotalLength` in class `TableFeatureProp`
      Returns:
        the length in bytes

    - #### getSupportedActions

          public Set<ActionType> getSupportedActions()

      Returns the set of action types supported by the table feature; Since 1.3.
      Returns:
        the set of supported action types

    - #### getSupportedExperActions

          public List<ActExperimenter> getSupportedExperActions()

      Returns the list of experimenter actions supported by this table feature; Since 1.3.
      Returns:
        the list of experimenter actions

Copyright © 2014. All Rights Reserved.